Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 713646 - sys-apps/dcfldd-1.6 : util.c: fatal error: error.h: No such file or directory
Summary: sys-apps/dcfldd-1.6 : util.c: fatal error: error.h: No such file or directory
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo musl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: missing-musl-includes
  Show dependency tree
 
Reported: 2020-03-20 14:57 UTC by Toralf Förster
Modified: 2021-01-31 16:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.58 KB, text/plain)
2020-03-20 14:57 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,196.41 KB, text/plain)
2020-03-20 14:57 UTC, Toralf Förster
Details
environment (environment,62.53 KB, text/plain)
2020-03-20 14:58 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.92 KB, application/x-bzip)
2020-03-20 14:58 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.00 KB, application/x-bzip)
2020-03-20 14:58 UTC, Toralf Förster
Details
sys-apps:dcfldd-1.6:20200320-121849.log (sys-apps:dcfldd-1.6:20200320-121849.log,8.31 KB, text/plain)
2020-03-20 14:58 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,18.13 KB, application/x-bzip)
2020-03-20 14:58 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-20 14:57:53 UTC
x86_64-gentoo-linux-musl-gcc -DHAVE_CONFIG_H -I. -I..    -fgnu89-inline -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -c -o pattern.o pattern.c
x86_64-gentoo-linux-musl-gcc -DHAVE_CONFIG_H -I. -I..    -fgnu89-inline -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -c -o util.o util.c
util.c:45:10: fatal error: error.h: No such file or directory
   45 | #include <error.h>
      |          ^~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_musl-20200316-165821

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-gentoo-linux-musl-9.3.0 *
clang version 10.0.0 
Target: x86_64-gentoo-linux-musl
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.1 *

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 18 Mar 2020 13:38:27 +0000
emerge -qpvO sys-apps/dcfldd
[ebuild  N    ] sys-apps/dcfldd-1.6
Comment 1 Toralf Förster gentoo-dev 2020-03-20 14:57:56 UTC
Created attachment 623262 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-20 14:57:59 UTC
Created attachment 623264 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-20 14:58:02 UTC
Created attachment 623266 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-20 14:58:04 UTC
Created attachment 623268 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-20 14:58:07 UTC
Created attachment 623270 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-20 14:58:10 UTC
Created attachment 623272 [details]
sys-apps:dcfldd-1.6:20200320-121849.log
Comment 7 Toralf Förster gentoo-dev 2020-03-20 14:58:13 UTC
Created attachment 623274 [details]
temp.tbz2
Comment 8 Sebastian Pipping gentoo-dev 2020-04-15 11:32:51 UTC
I think this is fixed in version 1.7.  Could you try with 1.7?
Comment 9 Sebastian Pipping gentoo-dev 2021-01-31 16:28:35 UTC
(In reply to Sebastian Pipping from comment #8)
> I think this is fixed in version 1.7.  Could you try with 1.7?

Closing as assumed-fixed now, please re-open as needed. Thanks!
Comment 10 Sebastian Pipping gentoo-dev 2021-01-31 16:33:33 UTC
Re-opening because I overlooked the musl aspect and assignee here.  @musl, how should we continue?